Bug 150372

Summary: Sorting in Forms does not function
Product: KEXI Reporter: Detlef Lechner <Detlef.Lechner>
Component: FormsAssignee: Jarosław Staniek <staniek>
Status: CLOSED FIXED    
Severity: normal CC: pcellix, staniek
Priority: NOR    
Version: 1.1.3 (KOffice 1.6.3)   
Target Milestone: 2.9.11   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 2.9.11

Description Detlef Lechner 2007-10-01 11:59:23 UTC
Version:           1.1.3 (using KDE KDE 3.5.6)
Installed from:    Ubuntu Packages
Compiler:          gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4) 
OS:                Linux

I have made my own Kexi project containing a table and a form. I open the form. I give the focus to a text field in a Kexi  form. Then I press the button 'Sort in ascending order'. There is no reaction. Kexi does not sort the records.

(Kexi 1.1.3, KDE 3.5.6, KOffice 1.6.3, Ubuntu 7.04, MD97600).

Regards
Detlef Lechner
Comment 1 Jarosław Staniek 2014-02-08 22:11:35 UTC
Planned in post-2.8.0
Comment 2 Wojciech Kosowicz 2014-05-09 13:09:40 UTC
@Staniek Is it working in 2.9? I tried it in the table and it does work.
Comment 3 Jarosław Staniek 2014-05-09 13:57:59 UTC
It does work in tables but this bug is about forms. Feel free to investigate this.
Comment 4 Jarosław Staniek 2014-06-12 21:25:07 UTC
Git commit dd100fecfd2e96728a7e3e897d83c635721e7249 by Jaroslaw Staniek.
Committed on 12/06/2014 at 21:23.
Pushed by staniek into branch 'calligra/2.8'.

Temporarily disable "sort" buttons because sorting is not implemented in forms

M  +2    -0    kexi/plugins/forms/kexiformscrollview.cpp

http://commits.kde.org/calligra/dd100fecfd2e96728a7e3e897d83c635721e7249
Comment 5 Jarosław Staniek 2014-06-12 21:25:36 UTC
Git commit ac73797419eb9f43ae2f0af15da6223f572c481d by Jaroslaw Staniek.
Committed on 12/06/2014 at 21:05.
Pushed by staniek into branch 'master'.

Temporarily disable "sort" buttons because sorting is not implemented in forms

M  +2    -0    kexi/plugins/forms/kexiformscrollview.cpp

http://commits.kde.org/calligra/ac73797419eb9f43ae2f0af15da6223f572c481d
Comment 6 Jarosław Staniek 2014-06-12 21:28:25 UTC
Buttons do nothing so have been temporarily disabled (hidden) now - since 2.8.4.
Comment 7 Jarosław Staniek 2016-01-29 22:19:04 UTC
Git commit c1acca2808c76a2973b06be0e31a8ec1fb34c1ad by Jaroslaw Staniek.
Committed on 29/01/2016 at 22:08.
Pushed by staniek into branch 'calligra/2.9'.

Kexi: Add sorting in Forms

Summary:
FIXED-IN:2.9.11

Test Plan:
Open any form with nontrivial sortable data. Use sorting a->z, z->a.
Current record is unchanged but its index most likely changes, what can be observed in the record navigator.

Reviewers: piggz, wicik, wkosowicz

Subscribers: Kexi-Devel-list

Projects: #kexi, #calligra:_3.0

Differential Revision: https://phabricator.kde.org/D881

M  +2    -9    kexi/plugins/forms/kexiformscrollview.cpp
M  +7    -4    kexi/plugins/forms/kexiformscrollview.h

http://commits.kde.org/calligra/c1acca2808c76a2973b06be0e31a8ec1fb34c1ad
Comment 8 Jarosław Staniek 2016-02-29 23:36:32 UTC
Git commit d08fe8a70d511161fdbfe80eedb643e78bf82d9e by Jaroslaw Staniek.
Committed on 29/02/2016 at 23:07.
Pushed by staniek into branch 'master'.

Add sorting in Forms
FIXED-IN:2.9.11

Test Plan:
Open any form with nontrivial sortable data. Use sorting a->z, z->a.
Current record is unchanged but its index most likely changes, what can be observed in the record navigator.

Reviewers: piggz, wicik, wkosowicz

Subscribers: Kexi-Devel-list

Projects: #kexi, #calligra:_3.0

Differential Revision: https://phabricator.kde.org/D881

from calligra.git c1acca2808c76a297

M  +2    -8    src/plugins/forms/kexiformscrollview.cpp
M  +7    -4    src/plugins/forms/kexiformscrollview.h

http://commits.kde.org/kexi/d08fe8a70d511161fdbfe80eedb643e78bf82d9e